package io.zipcoder.polymorphism;
import java.util.*;
/**
 * Created by leon on 11/6/17.
 */
public class MainApplication {

    public static void main(String[] args) {  // main method
        Scanner scn = new Scanner(System.in); // scanner method  - taking info from user input
        StringBuilder sbt = new StringBuilder(); // creating new obj
        StringBuilder sbn = new StringBuilder(); // creating new obj
        String petType = "";
        String petName = "";

        System.out.println("Hi, How many pets do you have?");
        int petNum = scn.nextInt();


        System.out.println("Nice, what kind of pet is your first pet?");
        petType = scn.nextLine();
        sbt.append(petType); //writing additional info into sbt

        for (int i = 1; i <= petNum; i++) {
            petType = scn.nextLine();
            sbt.append(petType);

            if (i < petNum) {
                System.out.println("Nice! What kind is your next pet?");
                sbt.append(", ");
            }
        }

        System.out.println("What is your first pet's name?");


        for (int j = 1; j <= petNum; j++) {
            petName = scn.nextLine();
            sbn.append(petName);
            if (j < petNum) {
                System.out.println("Nice, what kind is your next pet?");
                sbn.append(", ");

            }
        }
        System.out.println("I like that you have these pets: ");
        System.out.println(sbt.toString()); // object into string use toString()
        System.out.println("I like that you have pets named: ");
        System.out.println(sbn.toString());

        String[] typeArr = sbt.toString().split(", ");
        String[] nameArr = sbn.toString().split(", ");
        System.out.println("I just talked to your pets, this is what they had to say:");

        for (int k = 0; k < petNum; k++) {
            Cat catt = new Cat(nameArr[k]);
            Fish fish = new Fish(nameArr[k]);
            Doggy dog = new Doggy(nameArr[k]);
            String sounds = "";
            if (typeArr[k].equals("cat")) {
                sounds = catt.speak();
            } else if (typeArr[k].equals("dog")){
                sounds = dog.speak();
            } else if (typeArr[k].equals("fish")) {
                sounds = fish.speak();
            } else {sounds = "Generic animal sound";}
            System.out.println(nameArr[k] + " says: " + sounds);
        }

    }
}